Bug 179647 - textproc/po4a: checksum mismatch
Summary: textproc/po4a: checksum mismatch
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Renato Botelho
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-17 22:10 UTC by John Marino
Modified: 2013-07-22 12:50 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-06-17 22:10:00 UTC
This port doesn't fetch -- checksum mismatch.

Fix: 

check contents of new download and regenerate distfile.
Comment 1 Edwin Groothuis freebsd_committer 2013-06-17 22:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->garga

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 John Marino 2013-06-20 10:41:48 UTC
I tried to fix this with the following patch, but debian.org denies the 
request with a "not acceptable" response.

--- Makefile.orig       2013-06-14 09:57:24.000000000 +0000
+++ Makefile
@@ -4,7 +4,7 @@
  PORTNAME=      po4a
  PORTVERSION=   0.44
  CATEGORIES=    textproc perl5
-MASTER_SITES=  http://alioth.debian.org/frs/download.php/3341/
+MASTER_SITES=  http://alioth.debian.org/frs/download.php/file/3786/

  MAINTAINER=    garga@FreeBSD.org
  COMMENT=       Brings gettext translation tools to all kinds of docs
Comment 3 John Marino 2013-07-22 11:25:53 UTC
garga,
Are you working on this 5-week only PR?
Are you considering to put the distfile in LOCAL ?
This may be a redirection issues.
John
Comment 4 dfilter service freebsd_committer 2013-07-22 12:40:39 UTC
Author: garga
Date: Mon Jul 22 11:40:31 2013
New Revision: 323440
URL: http://svnweb.freebsd.org/changeset/ports/323440

Log:
  - Fix MASTER_SITES
   * Use LOCAL and fedora first since fetch cannot get file from alioth
  - Tarball was rerolled at some point, I couldn't find the old version to
    compare but I noted other projects like debian, gentoo and fedora are using
    the same tarball.
  - Make WRKSRC point to right place
  
  PR:		ports/179647 [1], ports/180676 [2]
  Submitted by:	John Marino <draco@marino.st> [1], Holger Freyther <holger@freyther.de>

Modified:
  head/textproc/po4a/Makefile
  head/textproc/po4a/distinfo

Modified: head/textproc/po4a/Makefile
==============================================================================
--- head/textproc/po4a/Makefile	Mon Jul 22 11:35:56 2013	(r323439)
+++ head/textproc/po4a/Makefile	Mon Jul 22 11:40:31 2013	(r323440)
@@ -4,7 +4,9 @@
 PORTNAME=	po4a
 PORTVERSION=	0.44
 CATEGORIES=	textproc perl5
-MASTER_SITES=	http://alioth.debian.org/frs/download.php/3341/
+MASTER_SITES=	LOCAL/garga/po4a \
+		http://pkgs.fedoraproject.org/repo/pkgs/po4a/po4a-0.44.tar.gz/ff7b6859d729a52a57a880d6cf6a7fcf/ \
+		http://alioth.debian.org/frs/download.php/file/3786/
 
 MAINTAINER=	garga@FreeBSD.org
 COMMENT=	Brings gettext translation tools to all kinds of docs
@@ -19,7 +21,6 @@ RUN_DEPENDS:=	${BUILD_DEPENDS}
 USES=		gettext
 USE_PERL5=	yes
 PERL_MODBUILD=	yes
-WRKSRC=		${WRKDIR}/${PORTNAME}-v0.40.1
 
 MANPREFIX=	${PREFIX}
 MAN3PREFIX=	${MANPREFIX}

Modified: head/textproc/po4a/distinfo
==============================================================================
--- head/textproc/po4a/distinfo	Mon Jul 22 11:35:56 2013	(r323439)
+++ head/textproc/po4a/distinfo	Mon Jul 22 11:40:31 2013	(r323440)
@@ -1,2 +1,2 @@
-SHA256 (po4a-0.44.tar.gz) = 141e6d0cf37950e043a21ef4a22be1d9620bdcd8af9143bb64217ff6176ab930
-SIZE (po4a-0.44.tar.gz) = 1801072
+SHA256 (po4a-0.44.tar.gz) = 718479ff301bfc5182a653d2392bef7ef172fff4a4996902cb68e32372a3a608
+SIZE (po4a-0.44.tar.gz) = 2166715
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Renato Botelho freebsd_committer 2013-07-22 12:41:13 UTC
State Changed
From-To: open->closed

Fixed, thanks!